<?php
require_once('./Config/Config.php');
require_once('./Config/Autoload.php');
Autoload::charger();

// $db = new Connection();
// $stm=$db->prepare("INSERT INTO Utilisateur VALUES (:email, :password, :pseudo, :admin)");
// $stm->bindValue(':email', "e",SQLITE3_TEXT);
// $stm->bindValue(':password', "e" ,SQLITE3_TEXT);
// $stm->bindValue(':pseudo', "e", SQLITE3_TEXT);
// $stm->bindValue(':admin', 0, SQLITE3_INTEGER);
// $stm->execute();

// $res = $db->query('SELECT * FROM Utilisateur');
// // Select all the users in the database
// while ($row = $res->fetchArray()) {
//     echo $row['email'] . " " . $row['password'] . " " . $row['pseudo'] . " " . $row['admin'] . " ";
// }

echo "test";
$db = new Connection($dsn);
echo "test2";
$control = new FrontController();

//session_regenerate_id(true);
// session_unset();
// session_destroy();
// $_SESSION = null;

//https://a-pellegrini.developpez.com/temp/tutoriels/php/security/session/#III.2